<template>
  <div class="app-container">
    <div style="display: flex">
      <el-card class="box-card">
        <el-tabs tab-position="left" v-model="activeTab">
          <el-tab-pane label="基本资料" name="userinfo"></el-tab-pane>
          <el-tab-pane label="修改密码" name="resetPwd"></el-tab-pane>
        </el-tabs>
      </el-card>
      <el-card class="box-card" style="flex: 1;margin-left: 16px">
        <div slot="header" class="clearfix">
          <span style="font-size: 18px;font-weight: bold">{{ activeTab === 'userinfo' ? '基本资料' : '修改密码' }}</span>
        </div>
        <userInfo v-if="activeTab==='userinfo'"/>
        <resetPwd v-if="activeTab==='resetPwd'"/>
      </el-card>
    </div>
  </div>
</template>

<script>
import userInfo from "./userInfo";
import resetPwd from "./resetPwd";

export default {
  name: "Profile",
  components: {userInfo, resetPwd},
  data() {
    return {
      roleGroup: {},
      postGroup: {},
      activeTab: "userinfo"
    };
  },
  methods: {}
};
</script>
<style scoped>
.box-card{
  height: calc(100vh - 146px);
}
</style>
